<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	
	$txtcod_grado=$_POST['txtcod_grado'];
	$txtcod_sede=$_POST['txtcod_sede'];
	$txtnom_grupo=$_POST['txtnom_grupo'];
	$txtcod_jornada=$_POST['txtcod_jornada'];
	$txtnom_caracter=$_POST['txtnom_caracter'];
	$txtnom_especialidad=$_POST['txtnom_especialidad'];
	$txtcod_metodologia=$_POST['txtcod_metodologia'];
	$txtnom_director=$_POST['txtnom_director'];
	$txtfecha_inicio=$_POST['txtfecha_inicio'];
	$txtfecha_fin=$_POST['txtfecha_fin'];
	$txtnum_aula=$_POST['txtnum_aula'];
	$txtdim_aula=$_POST['txtdim_aula'];


	
	
	switch($acction){
		case 'del':
			$sql="delete from `aca_grupos` where cod_grupo='$codigo'";
		break;
		case 'edit';
			$sql="UPDATE aca_grupos SET cod_grado = '$txtcod_grado', cod_nom_grupo = '$txtnom_grupo', cod_sede = '$txtcod_sede', cod_jornada = '$txtcod_jornada', cod_especialidad = '$txtnom_especialidad', cod_metodologia = '$txtcod_metodologia', cod_director = '$txtnom_director', fecha_inicio = '$txtfecha_inicio', fecha_fin = '$txtfecha_fin', num_aula = '$txtnum_aula', dim_aula = '$txtdim_aula' WHERE cod_grupo = '$codigo'";
		break;
		case 'add':
		
		$sql="INSERT INTO aca_grupos (cod_grado, cod_nom_grupo, cod_sede, cod_jornada, cod_especialidad, cod_metodologia, cod_director, fecha_inicio, fecha_fin, num_aula, dim_aula) VALUES ('$txtcod_grado', '$txtnom_grupo', '$txtcod_sede', '$txtcod_jornada', '$txtnom_especialidad', '$txtcod_metodologia', '$txtnom_director', '$txtfecha_inicio', '$txtfecha_fin', '$txtnum_aula', '$txtdim_aula')";
		break;
		default:
			$sql="";
	}

	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='add'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}	
}
$academia->cerrar();
?>